﻿$tools = Split-Path $MyInvocation.MyCommand.Definition
$package = Split-Path $tools
$sc_home = Join-Path $package 'schemacrawler-15.01.01-distribution'
$sc_bat = Join-Path $sc_home '_schemacrawler/schemacrawler.cmd'


Install-ChocolateyZipPackage `
    -PackageName 'schemacrawler' `
    -Url 'https://github.com/schemacrawler/SchemaCrawler/releases/download/v15.01.01/schemacrawler-15.01.01-distribution.zip' `
    -Checksum '7e1456cf30b1831cf06723d29f2c99bc8eedfca2596b31fed1b1006df0be80ffb77902f7314ddd5aef30969f73f9df2f284a600f57412f2635554ec7ca1bc699' `
    -ChecksumType 'SHA512' `
    -UnzipLocation $package

Install-ChocolateyEnvironmentVariable `
    -VariableName 'SC_HOME' `
    -VariableValue $sc_home `
    -VariableType 'Machine'


Install-BinFile -Name 'schemacrawler' -Path $sc_bat

Update-SessionEnvironment
